#### DATA LOAD ####
load("data_metanet.RData")

#### Fragment removal ####
#### BY AREA ####
n.frag=unique(aggreg.herb$fragment) #fragment id
area1[[1]]=tolower(as.character(area1$sitio))
area.incre=area1[order(area1$area..ha.),] #Ordering fragments by incresing area
area.decre=area1[order(area1$area..ha., decreasing=T),] #Ordering fragments by decreasing area

#### Secondary extintions of all herbivores (increasing and decreasing area) ####
sec.ext.area.incre=second.extinction.metanet(aggreg.herb,area.incre$sitio)
sec.ext.area.decre=second.extinction.metanet(aggreg.herb,area.decre$sitio)

#### Robustness of all herbivores (increasing and decreasing area) #####
rob.met.area.incre=robustness.metanet(sec.ext.area.incre)$robustness
rob.met.area.decre=robustness.metanet(sec.ext.area.decre)$robustness

#### Secondary extintions of herbivore guilds (increasing and decreasing area) ####
sec.ext.area.incre.gall=second.extinction.metanet(subset(aggreg.herb.guild,
                                                         aggreg.herb.guild$guild=="agalla"),area.incre$sitio)
sec.ext.area.incre.miner=second.extinction.metanet(subset(aggreg.herb.guild,
                                                          aggreg.herb.guild$guild=="mina"),area.incre$sitio)
sec.ext.area.incre.scinsect=second.extinction.metanet(subset(aggreg.herb.guild,
                                                             aggreg.herb.guild$guild=="cochinilla"),area.incre$sitio)
sec.ext.area.incre.aphid=second.extinction.metanet(subset(aggreg.herb.guild,
                                                          aggreg.herb.guild$guild=="pulgon"),area.incre$sitio)

sec.ext.area.decre.gall=second.extinction.metanet(subset(aggreg.herb.guild,
                                                         aggreg.herb.guild$guild=="agalla"),area.decre$sitio)
sec.ext.area.decre.miner=second.extinction.metanet(subset(aggreg.herb.guild,
                                                          aggreg.herb.guild$guild=="mina"),area.decre$sitio)
sec.ext.area.decre.scinsect=second.extinction.metanet(subset(aggreg.herb.guild,
                                                             aggreg.herb.guild$guild=="cochinilla"),area.decre$sitio)
sec.ext.area.decre.aphid=second.extinction.metanet(subset(aggreg.herb.guild,
                                                          aggreg.herb.guild$guild=="pulgon"),area.decre$sitio)
#### Robustness of herbivore guilds (increasing and decreasing area) #####
rob.met.area.incre.gall=robustness.metanet(sec.ext.area.incre.gall)$robustness
rob.met.area.incre.miner=robustness.metanet(sec.ext.area.incre.miner)$robustness
rob.met.area.incre.scinsect=robustness.metanet(sec.ext.area.incre.scinsect)$robustness
rob.met.area.incre.aphid=robustness.metanet(sec.ext.area.incre.aphid)$robustness

rob.met.area.decre.gall=robustness.metanet(sec.ext.area.decre.gall)$robustness
rob.met.area.decre.miner=robustness.metanet(sec.ext.area.decre.miner)$robustness
rob.met.area.decre.scinsect=robustness.metanet(sec.ext.area.decre.scinsect)$robustness
rob.met.area.decre.aphid=robustness.metanet(sec.ext.area.decre.aphid)$robustness

#### Secondary extintions for parasitoids (increasing and decreasing area) ####
sec.ext.area.incre.paras=second.extinction.metanet(aggreg.paras,area.incre$sitio)
sec.ext.area.decre.paras=second.extinction.metanet(aggreg.paras,area.decre$sitio)

#### Robustness for parasitoids (increasing and decreasing area) #####
rob.met.area.incre.paras=robustness.metanet(sec.ext.area.incre.paras)$robustness
rob.met.area.decre.paras=robustness.metanet(sec.ext.area.decre.paras)$robustness

#### Secondary extintions of predators (increasing and decreasing area) ####
sec.ext.area.incre.enemy=second.extinction.metanet(aggreg.enemy,area.incre$sitio)
sec.ext.area.decre.enemy=second.extinction.metanet(aggreg.enemy,area.decre$sitio)

#### Robustness of predators (increasing and decreasing area) #####
rob.met.area.incre.enemy=robustness.metanet(sec.ext.area.incre.enemy)$robustness
rob.met.area.decre.enemy=robustness.metanet(sec.ext.area.decre.enemy)$robustness

#### Fragment removal ####
#### BY AGE ####

#### Secondary extintions for all herbivores (increasing age) ####
ite=100 
sec.ext.age.incre=list()
rob.met.age.incre=list()

for (i in 1:ite) {
  order=age[c(sample(which(age$Edad=="2003"),replace=F),
              sample(which(age$Edad=="2010"),replace=F),12,6),]#removal sequence
  order=as.character(order$Fragmento)
  sec.ext.age.incre[[i]]=second.extinction.metanet(aggreg.herb,order)
}

#Robustness of all herbivores (increasing age) #####
for (i in 1:ite) {
  rob.met.age.incre[[i]]=robustness.metanet(sec.ext.age.incre[[i]])$robustness
}

x.age.incre=array(0,ite)
for (i in 1:ite) {
  x.age.incre[i]=rob.met.age.incre[[i]]$R.int
}
mean.R.int.age.incre=mean(x.age.incre)
max.R.int.age.incre=max(x.age.incre)
IC.R.int.age.incre=quantile(x.age.incre,probs=c(0.025,0.975))

x.age.incre.plants=array(0,ite)
for (i in 1:ite) {
  x.age.incre.plants[i]=rob.met.age.incre[[i]]$R.plants
}
mean.R.pla.age.incre=mean(x.age.incre.plants)
max.R.pla.age.incre=max(x.age.incre.plants)
IC.R.pla.age.incre=quantile(x.age.incre.plants,probs=c(0.025,0.975))

x.age.incre.herb=array(0,ite)
for (i in 1:ite) {
  x.age.incre.herb[i]=rob.met.age.incre[[i]]$R.animals
}
max.R.herb.age.incre=max(x.age.incre.herb)

# Secondary extintions for all herbivores (decreasing age) ####
sec.ext.age.decre=list()
rob.met.age.decre=list()

for (i in 1:ite) {
  order=age[c(sample(which(age$Edad=="2003"),replace=F),
              sample(which(age$Edad=="2010"),replace=F),12,6),]#removal sequence
  order=as.character(order$Fragmento)[14:1]
  sec.ext.age.decre[[i]]=second.extinction.metanet(aggreg.herb,order)
}

#Robustness of all herbivores (decreasing age) #####
for (i in 1:ite) {
  rob.met.age.decre[[i]]=robustness.metanet(sec.ext.age.decre[[i]])$robustness
}

x.age.decre=array(0,ite)
for (i in 1:ite) {
  x.age.decre[i]=rob.met.age.decre[[i]]$R.int
}
mean.R.int.age.decre=mean(x.age.decre)
IC.R.int.age.decre=quantile(x.age.decre,probs=c(0.025,0.975))
max.R.int.age.decre=max(x.age.decre)

x.age.decre.plants=array(0,ite)
for (i in 1:ite) {
  x.age.decre.plants[i]=rob.met.age.decre[[i]]$R.plants
}
mean.R.pla.age.decre=mean(x.age.decre.plants)
IC.R.pla.age.decre=quantile(x.age.decre.plants,probs=c(0.025,0.975))
max.R.pla.age.decre=max(x.age.decre.plants)

x.age.decre.herb=array(0,ite)
for (i in 1:ite) {
  x.age.decre.herb[i]=rob.met.age.decre[[i]]$R.animals
}
max.R.herb.age.decre=max(x.age.decre.herb)

# Secondary extintions for herbivores guilds (increasing age) ####
sec.ext.age.incre.gall=list()
rob.met.age.incre.gall=list()

sec.ext.age.incre.miner=list()
rob.met.age.incre.miner=list()

sec.ext.age.incre.scinsect=list()
rob.met.age.incre.scinsect=list()

sec.ext.age.incre.aphid=list()
rob.met.age.incre.aphid=list()

for (i in 1:ite) {
  order=age[c(sample(which(age$Edad=="2003"),replace=F),
              sample(which(age$Edad=="2010"),replace=F),12,6),]#removal sequence
  order=as.character(order$Fragmento)
  sec.ext.age.incre.gall[[i]]=second.extinction.metanet(subset(aggreg.herb.guild,
                                                               aggreg.herb.guild$guild=="agalla"),order)
  sec.ext.age.incre.miner[[i]]=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                aggreg.herb.guild$guild=="mina"),order)
  sec.ext.age.incre.scinsect[[i]]=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                   aggreg.herb.guild$guild=="cochinilla"),order)
  sec.ext.age.incre.aphid[[i]]=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                aggreg.herb.guild$guild=="pulgon"),order)
}

#Robustness of herbivores guilds (increasing age)#####
for (i in 1:ite) {
  rob.met.age.incre.gall[[i]]=robustness.metanet(sec.ext.age.incre.gall[[i]])$robustness
  rob.met.age.incre.miner[[i]]=robustness.metanet(sec.ext.age.incre.miner[[i]])$robustness
  rob.met.age.incre.scinsect[[i]]=robustness.metanet(sec.ext.age.incre.scinsect[[i]])$robustness
  rob.met.age.incre.aphid[[i]]=robustness.metanet(sec.ext.age.incre.aphid[[i]])$robustness
}

x.gall.age.incre=array(0,ite)
x.miner.age.incre=array(0,ite)
x.scinsect.age.incre=array(0,ite)
x.aphid.age.incre=array(0,ite)

x.gall.herb.age.incre=array(0,ite)
x.miner.herb.age.incre=array(0,ite)
x.scinsect.herb.age.incre=array(0,ite)
x.aphid.herb.age.incre=array(0,ite)

for (i in 1:ite) {
  x.gall.age.incre[i]=rob.met.age.incre.gall[[i]]$R.int
  x.miner.age.incre[i]=rob.met.age.incre.miner[[i]]$R.int
  x.scinsect.age.incre[i]=rob.met.age.incre.scinsect[[i]]$R.int
  x.aphid.age.incre[i]=rob.met.age.incre.aphid[[i]]$R.int
}
mean.R.int.gall.age.incre=mean(x.gall.age.incre)
mean.R.int.miner.age.incre=mean(x.miner.age.incre)
mean.R.int.scinsect.age.incre=mean(x.scinsect.age.incre)
mean.R.int.aphid.age.incre=mean(x.aphid.age.incre)
IC.R.int.gall.age.incre=quantile(x.gall.age.incre,probs=c(0.025,0.975))
IC.R.int.miner.age.incre=quantile(x.miner.age.incre,probs=c(0.025,0.975))
IC.R.int.scinsect.age.incre=quantile(x.scinsect.age.incre,probs=c(0.025,0.975))
IC.R.int.aphid.age.incre=quantile(x.aphid.age.incre,probs=c(0.025,0.975))
max.R.int.gall.age.incre=max(x.gall.age.incre)
max.R.int.miner.age.incre=max(x.miner.age.incre)
max.R.int.scinsect.age.incre=max(x.scinsect.age.incre)
max.R.int.aphid.age.incre=max(x.aphid.age.incre)

for (i in 1:ite) {
  x.gall.herb.age.incre[i]=rob.met.age.incre.gall[[i]]$R.animals
  x.miner.herb.age.incre[i]=rob.met.age.incre.miner[[i]]$R.animals
  x.scinsect.herb.age.incre[i]=rob.met.age.incre.scinsect[[i]]$R.animals
  x.aphid.herb.age.incre[i]=rob.met.age.incre.aphid[[i]]$R.animals
}
max.R.herb.gall.age.incre=max(x.gall.herb.age.incre)
max.R.herb.miner.age.incre=max(x.miner.herb.age.incre)
max.R.herb.scinsect.age.incre=max(x.scinsect.herb.age.incre)
max.R.herb.aphid.age.incre=max(x.aphid.herb.age.incre)

# Secondary extintions for herbivores guilds (decreasing age) ####
sec.ext.age.decre.gall=list()
rob.met.age.decre.gall=list()

sec.ext.age.decre.miner=list()
rob.met.age.decre.miner=list()

sec.ext.age.decre.scinsect=list()
rob.met.age.decre.scinsect=list()

sec.ext.age.decre.aphid=list()
rob.met.age.decre.aphid=list()

for (i in 1:ite) {
  order=age[c(sample(which(age$Edad=="2003"),replace=F),
              sample(which(age$Edad=="2010"),replace=F),12,6),]#removal sequence
  order=as.character(order$Fragmento)[14:1] #from younger to older
  sec.ext.age.decre.gall[[i]]=second.extinction.metanet(subset(aggreg.herb.guild,
                                                               aggreg.herb.guild$guild=="agalla"),order)
  sec.ext.age.decre.miner[[i]]=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                aggreg.herb.guild$guild=="mina"),order)
  sec.ext.age.decre.scinsect[[i]]=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                   aggreg.herb.guild$guild=="cochinilla"),order)
  sec.ext.age.decre.aphid[[i]]=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                aggreg.herb.guild$guild=="pulgon"),order)
}

#Robustness of herbivores guilds (decreasing age)#####
for (i in 1:ite) {
  rob.met.age.decre.gall[[i]]=robustness.metanet(sec.ext.age.decre.gall[[i]])$robustness
  rob.met.age.decre.miner[[i]]=robustness.metanet(sec.ext.age.decre.miner[[i]])$robustness
  rob.met.age.decre.scinsect[[i]]=robustness.metanet(sec.ext.age.decre.scinsect[[i]])$robustness
  rob.met.age.decre.aphid[[i]]=robustness.metanet(sec.ext.age.decre.aphid[[i]])$robustness
}

x.gall.age.decre=array(0,ite)
x.miner.age.decre=array(0,ite)
x.scinsect.age.decre=array(0,ite)
x.aphid.age.decre=array(0,ite)

x.gall.herb.age.decre=array(0,ite)
x.miner.herb.age.decre=array(0,ite)
x.scinsect.herb.age.decre=array(0,ite)
x.aphid.herb.age.decre=array(0,ite)

for (i in 1:ite) {
  x.gall.age.decre[i]=rob.met.age.decre.gall[[i]]$R.int
  x.miner.age.decre[i]=rob.met.age.decre.miner[[i]]$R.int
  x.scinsect.age.decre[i]=rob.met.age.decre.scinsect[[i]]$R.int
  x.aphid.age.decre[i]=rob.met.age.decre.aphid[[i]]$R.int
}
mean.R.int.gall.age.decre=mean(x.gall.age.decre)
mean.R.int.miner.age.decre=mean(x.miner.age.decre)
mean.R.int.scinsect.age.decre=mean(x.scinsect.age.decre)
mean.R.int.aphid.age.decre=mean(x.aphid.age.decre)
IC.R.int.gall.age.decre=quantile(x.gall.age.decre,probs=c(0.025,0.975))
IC.R.int.miner.age.decre=quantile(x.miner.age.decre,probs=c(0.025,0.975))
IC.R.int.scinsect.age.decre=quantile(x.scinsect.age.decre,probs=c(0.025,0.975))
IC.R.int.aphid.age.decre=quantile(x.aphid.age.decre,probs=c(0.025,0.975))
max.R.int.gall.age.decre=max(x.gall.age.decre)
max.R.int.miner.age.decre=max(x.miner.age.decre)
max.R.int.scinsect.age.decre=max(x.scinsect.age.decre)
max.R.int.aphid.age.decre=max(x.aphid.age.decre)

for (i in 1:ite) {
  x.gall.herb.age.decre[i]=rob.met.age.decre.gall[[i]]$R.animals
  x.miner.herb.age.decre[i]=rob.met.age.decre.miner[[i]]$R.animals
  x.scinsect.herb.age.decre[i]=rob.met.age.decre.scinsect[[i]]$R.animals
  x.aphid.herb.age.decre[i]=rob.met.age.decre.aphid[[i]]$R.animals
}
max.R.herb.gall.age.decre=max(x.gall.herb.age.decre)
max.R.herb.miner.age.decre=max(x.miner.herb.age.decre)
max.R.herb.scinsect.age.decre=max(x.scinsect.herb.age.decre)
max.R.herb.aphid.age.decre=max(x.aphid.herb.age.decre)

# Secondary extintions for all parasitoids (increasing age)####
sec.ext.age.incre.paras=list()
rob.met.age.incre.paras=list()

for (i in 1:ite) {
  order=age[c(sample(which(age$Edad=="2003"),replace=F),
              sample(which(age$Edad=="2010"),replace=F),12,6),]#removal sequence
  order=as.character(order$Fragmento)
  sec.ext.age.incre.paras[[i]]=second.extinction.metanet(aggreg.paras,order)
}

#Robustness of all parasitoids (increasing age)#####
for (i in 1:ite) {
  rob.met.age.incre.paras[[i]]=robustness.metanet(sec.ext.age.incre.paras[[i]])$robustness
}

x.age.incre.paras=array(0,ite)
for (i in 1:ite) {
  x.age.incre.paras[i]=rob.met.age.incre.paras[[i]]$R.int
}
mean.R.int.age.incre.paras=mean(x.age.incre.paras)
IC.R.int.age.incre.paras=quantile(x.age.incre.paras,probs=c(0.025,0.975))
max.R.int.age.incre.paras=max(x.age.incre.paras)

x.age.incre.paras.paras=array(0,ite)
for (i in 1:ite) {
  x.age.incre.paras.paras[i]=rob.met.age.incre.paras[[i]]$R.animals
}
mean.R.int.age.incre.paras.paras=mean(x.age.incre.paras.paras)
IC.R.int.age.incre.paras.paras=quantile(x.age.incre.paras.paras,probs=c(0.025,0.975))
max.R.int.age.incre.paras.paras=max(x.age.incre.paras.paras)

# Secondary extintions for all parasitoids (decreasing age) ####
sec.ext.age.decre.paras=list()
rob.met.age.decre.paras=list()

for (i in 1:ite) {
  order=age[c(sample(which(age$Edad=="2003"),replace=F),
              sample(which(age$Edad=="2010"),replace=F),12,6),]#removal sequence
  order=as.character(order$Fragmento)[14:1]
  sec.ext.age.decre.paras[[i]]=second.extinction.metanet(aggreg.paras,order)
}

#Robustness of all parasitoids (decreasing age)#####
for (i in 1:ite) {
  rob.met.age.decre.paras[[i]]=robustness.metanet(sec.ext.age.decre.paras[[i]])$robustness
}

x.age.decre.paras=array(0,ite)
for (i in 1:ite) {
  x.age.decre.paras[i]=rob.met.age.decre.paras[[i]]$R.int
}
mean.R.int.age.decre.paras=mean(x.age.decre.paras)
IC.R.int.age.decre.paras=quantile(x.age.decre.paras,probs=c(0.025,0.975))
max.R.int.age.decre.paras=max(x.age.decre.paras)

x.age.decre.paras.paras=array(0,ite)
for (i in 1:ite) {
  x.age.decre.paras.paras[i]=rob.met.age.decre.paras[[i]]$R.animal
}
mean.R.int.age.decre.paras.paras=mean(x.age.decre.paras.paras)
IC.R.int.age.decre.paras=quantile(x.age.decre.paras.paras,probs=c(0.025,0.975))
max.R.int.age.decre.paras.paras=max(x.age.decre.paras.paras)

# Secondary extintions for predators (increasing age)####
sec.ext.age.incre.enemy=list()
rob.met.age.incre.enemy=list()

for (i in 1:ite) {
  order=age[c(sample(which(age$Edad=="2003"),replace=F),
              sample(which(age$Edad=="2010"),replace=F),12,6),]#removal sequence
  order=as.character(order$Fragmento)
  sec.ext.age.incre.enemy[[i]]=second.extinction.metanet(aggreg.enemy,order)
}

#Robustness of predators (increasing age)#####
for (i in 1:ite) {
  rob.met.age.incre.enemy[[i]]=robustness.metanet(sec.ext.age.incre.enemy[[i]])$robustness
}

x.age.incre.enemy=array(0,ite)
for (i in 1:ite) {
  x.age.incre.enemy[i]=rob.met.age.incre.enemy[[i]]$R.int
}
mean.R.int.age.incre.enemy=mean(x.age.incre.enemy)
IC.R.int.age.incre.enemy=quantile(x.age.incre.enemy,probs=c(0.025,0.975))
max.R.int.age.incre.enemy=max(x.age.incre.enemy)

x.age.incre.enemy.enemy=array(0,ite)
for (i in 1:ite) {
  x.age.incre.enemy.enemy[i]=rob.met.age.incre.enemy[[i]]$R.animals
}
mean.R.int.age.incre.enemy.enemy=mean(x.age.incre.enemy.enemy)
IC.R.int.age.incre.enemy.enemy=quantile(x.age.incre.enemy.enemy,probs=c(0.025,0.975))
max.R.int.age.incre.enemy.enemy=max(x.age.incre.enemy.enemy)

# Secondary extintions for all predators (decreasing age) ####
sec.ext.age.decre.enemy=list()
rob.met.age.decre.enemy=list()

for (i in 1:ite) {
  order=age[c(sample(which(age$Edad=="2003"),replace=F),
              sample(which(age$Edad=="2010"),replace=F),12,6),]#removal sequence
  order=as.character(order$Fragmento)[14:1]
  sec.ext.age.decre.enemy[[i]]=second.extinction.metanet(aggreg.enemy,order)
}

#Robustness of all predators (decreasing age)#####
for (i in 1:ite) {
  rob.met.age.decre.enemy[[i]]=robustness.metanet(sec.ext.age.decre.enemy[[i]])$robustness
}

x.age.decre.enemy=array(0,ite)
for (i in 1:ite) {
  x.age.decre.enemy[i]=rob.met.age.decre.enemy[[i]]$R.int
}
mean.R.int.age.decre.enemy=mean(x.age.decre.enemy)
IC.R.int.age.decre.enemy=quantile(x.age.decre.enemy,probs=c(0.025,0.975))
max.R.int.age.decre.enemy=max(x.age.decre.enemy)

x.age.decre.enemy.enemy=array(0,ite)
for (i in 1:ite) {
  x.age.decre.enemy.enemy[i]=rob.met.age.decre.enemy[[i]]$R.animals
}
mean.R.int.age.decre.enemy.enemy=mean(x.age.decre.enemy.enemy)
IC.R.int.age.decre.enemy.enemy=quantile(x.age.decre.enemy.enemy,probs=c(0.025,0.975))
max.R.int.age.decre.enemy.enemy=max(x.age.decre.enemy.enemy)

#### Fragment removal ####
#### BY CONNECTIVITY ####

library(vegan)
sbiol=vegdist(plants)
sbiol=1-sbiol #converting to similarity matrix
sbiol=data.matrix(sbiol) #resources similarity
sbiol=cbind(sbiol,matrix(1,14,6)) #complete similarity between non-sampled patches 
sbiol=rbind(sbiol,matrix(1,6,20))

area=t(area2)

#calculations of connectivity metrics (alpha=1)
dist.i=rowSums(exp(-dis))[1:14]
dist.area.i=rowSums(sweep(exp(-dis),2,area,"*"))[1:14]
dist.area.sim.i=rowSums(sweep(exp(-dis),2,area,"*")*sbiol)[1:14]
dist.sim.i=rowSums(exp(-dis)*sbiol)[1:14]
sim.area.i=rowSums(sweep(sbiol,2,area,"*"))[1:14]
sim.i=rowSums(sbiol)[1:14]

#Order of fragment removal
dist.i.df=data.frame(sitios=tolower(rownames(dis)[1:14]),dist.i=dist.i)
dist.i.decre=dist.i.df[order(dist.i.df$dist.i, decreasing=T),]

dist.area.i.df=data.frame(sitios=tolower(rownames(dis)[1:14]),dist.area.i=dist.area.i)
dist.area.i.decre=dist.area.i.df[order(dist.area.i.df$dist.area.i, decreasing=T),]

dist.area.sim.i.df=data.frame(sitios=tolower(rownames(dis)[1:14]),dist.area.sim.i=dist.area.sim.i)
dist.area.sim.i.decre=dist.area.sim.i.df[order(dist.area.sim.i.df$dist.area.sim.i, decreasing=T),]

dist.sim.i.df=data.frame(sitios=tolower(rownames(dis)[1:14]),dist.sim.i=dist.sim.i)
dist.sim.i.decre=dist.sim.i.df[order(dist.sim.i.df$dist.sim.i, decreasing=T),]

sim.area.i.df=data.frame(sitios=tolower(rownames(dis)[1:14]),sim.area.i=sim.area.i)
sim.area.i.decre=sim.area.i.df[order(sim.area.i.df$sim.area.i, decreasing=T),]

sim.i.df=data.frame(sitios=tolower(rownames(dis)[1:14]),sim.i=sim.i)
sim.i.decre=sim.i.df[order(sim.i.df$sim.i, decreasing=T),]

# Secondary extintions for all herbivores (decreasing connectivity) ####
sec.ext.dist.i=second.extinction.metanet(aggreg.herb,as.character(dist.i.decre$sitio))
sec.ext.dist.area.i=second.extinction.metanet(aggreg.herb,as.character(dist.area.i.decre$sitio))
sec.ext.dist.area.sim.i=second.extinction.metanet(aggreg.herb,as.character(dist.area.sim.i.decre$sitio))
sec.ext.dist.sim.i=second.extinction.metanet(aggreg.herb,as.character(dist.sim.i.decre$sitio))
sec.ext.sim.area.i=second.extinction.metanet(aggreg.herb,as.character(sim.area.i.decre$sitio))
sec.ext.sim.i=second.extinction.metanet(aggreg.herb,as.character(sim.i.decre$sitio))

#Secondary extintions for all herbivores (increasing connectivity) ####
sec.ext.dist.i.incre=second.extinction.metanet(aggreg.herb,as.character(dist.i.decre$sitio)[14:1])
sec.ext.dist.area.i.incre=second.extinction.metanet(aggreg.herb,as.character(dist.area.i.decre$sitio)[14:1])
sec.ext.dist.area.sim.i.incre=second.extinction.metanet(aggreg.herb,as.character(dist.area.sim.i.decre$sitio)[14:1])
sec.ext.dist.sim.i.incre=second.extinction.metanet(aggreg.herb,as.character(dist.sim.i.decre$sitio)[14:1])
sec.ext.sim.area.i.incre=second.extinction.metanet(aggreg.herb,as.character(sim.area.i.decre$sitio)[14:1])
sec.ext.sim.i.incre=second.extinction.metanet(aggreg.herb,as.character(sim.i.decre$sitio)[14:1])

# Robustness for all herbivores (decreasing connectivity) #####
rob.met.dist.i=robustness.metanet(sec.ext.dist.i)$robustness
rob.met.dist.area.i=robustness.metanet(sec.ext.dist.area.i)$robustness
rob.met.dist.area.sim.i=robustness.metanet(sec.ext.dist.area.sim.i)$robustness
rob.met.dist.sim.i=robustness.metanet(sec.ext.dist.sim.i)$robustness
rob.met.sim.area.i=robustness.metanet(sec.ext.sim.area.i)$robustness
rob.met.sim.i=robustness.metanet(sec.ext.sim.i)$robustness

#Robustness for all herbivores (increasing connectivity) ####
rob.met.dist.i.incre=robustness.metanet(sec.ext.dist.i.incre)$robustness
rob.met.dist.area.i.incre=robustness.metanet(sec.ext.dist.area.i.incre)$robustness
rob.met.dist.area.sim.i.incre=robustness.metanet(sec.ext.dist.area.sim.i.incre)$robustness
rob.met.dist.sim.i.incre=robustness.metanet(sec.ext.dist.sim.i.incre)$robustness
rob.met.sim.area.i.incre=robustness.metanet(sec.ext.sim.area.i.incre)$robustness
rob.met.sim.i.incre=robustness.metanet(sec.ext.sim.i.incre)$robustness


# Secondary extintions for herbivore guilds (decreasing connectivity dist.i) ####
sec.ext.dist.i.gall=second.extinction.metanet(subset(aggreg.herb.guild,
                                                     aggreg.herb.guild$guild=="agalla"),as.character(dist.i.decre$sitio))
sec.ext.dist.i.miner=second.extinction.metanet(subset(aggreg.herb.guild,
                                                      aggreg.herb.guild$guild=="mina"),as.character(dist.i.decre$sitio))
sec.ext.dist.i.scinsect=second.extinction.metanet(subset(aggreg.herb.guild,
                                                         aggreg.herb.guild$guild=="cochinilla"),as.character(dist.i.decre$sitio))
sec.ext.dist.i.aphid=second.extinction.metanet(subset(aggreg.herb.guild,
                                                      aggreg.herb.guild$guild=="pulgon"),as.character(dist.i.decre$sitio))

#Secondary extintions for herbivore guilds (increasing connectivity dist.i) ####
sec.ext.dist.i.incre.gall=second.extinction.metanet(subset(aggreg.herb.guild,
                                                           aggreg.herb.guild$guild=="agalla"),as.character(dist.i.decre$sitio)[14:1])
sec.ext.dist.i.incre.miner=second.extinction.metanet(subset(aggreg.herb.guild,
                                                            aggreg.herb.guild$guild=="mina"),as.character(dist.i.decre$sitio)[14:1])
sec.ext.dist.i.incre.scinsect=second.extinction.metanet(subset(aggreg.herb.guild,
                                                               aggreg.herb.guild$guild=="cochinilla"),as.character(dist.i.decre$sitio)[14:1])
sec.ext.dist.i.incre.aphid=second.extinction.metanet(subset(aggreg.herb.guild,
                                                            aggreg.herb.guild$guild=="pulgon"),as.character(dist.i.decre$sitio)[14:1])

#Secondary extintions for herbivore guilds (deacreasing connectivity dist.area.i) ####
sec.ext.dist.area.i.gall=second.extinction.metanet(subset(aggreg.herb.guild,
                                                          aggreg.herb.guild$guild=="agalla"),as.character(dist.area.i.decre$sitio))
sec.ext.dist.area.i.miner=second.extinction.metanet(subset(aggreg.herb.guild,
                                                           aggreg.herb.guild$guild=="mina"),as.character(dist.area.i.decre$sitio))
sec.ext.dist.area.i.scinsect=second.extinction.metanet(subset(aggreg.herb.guild,
                                                              aggreg.herb.guild$guild=="cochinilla"),as.character(dist.area.i.decre$sitio))
sec.ext.dist.area.i.aphid=second.extinction.metanet(subset(aggreg.herb.guild,
                                                           aggreg.herb.guild$guild=="pulgon"),as.character(dist.area.i.decre$sitio))

#Secondary extintions for herbivore guilds (increasing connectivity dist.area.i) ####
sec.ext.dist.area.i.incre.gall=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                aggreg.herb.guild$guild=="agalla"),as.character(dist.area.i.decre$sitio)[14:1])
sec.ext.dist.area.i.incre.miner=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                 aggreg.herb.guild$guild=="mina"),as.character(dist.area.i.decre$sitio)[14:1])
sec.ext.dist.area.i.incre.scinsect=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                    aggreg.herb.guild$guild=="cochinilla"),as.character(dist.area.i.decre$sitio)[14:1])
sec.ext.dist.area.i.incre.aphid=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                 aggreg.herb.guild$guild=="pulgon"),as.character(dist.area.i.decre$sitio)[14:1])


#Secondary extintions for herbivore guilds (decreasing connectivity dist.area.sim.i) ####
sec.ext.dist.area.sim.i.gall=second.extinction.metanet(subset(aggreg.herb.guild,
                                                              aggreg.herb.guild$guild=="agalla"),as.character(dist.area.sim.i.decre$sitio))
sec.ext.dist.area.sim.i.miner=second.extinction.metanet(subset(aggreg.herb.guild,
                                                               aggreg.herb.guild$guild=="mina"),as.character(dist.area.sim.i.decre$sitio))
sec.ext.dist.area.sim.i.scinsect=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                  aggreg.herb.guild$guild=="cochinilla"),as.character(dist.area.sim.i.decre$sitio))
sec.ext.dist.area.sim.i.aphid=second.extinction.metanet(subset(aggreg.herb.guild,
                                                               aggreg.herb.guild$guild=="pulgon"),as.character(dist.area.sim.i.decre$sitio))

#Secondary extintions for herbivore guilds (increasing connectivity dist.area.sim.i)####  
sec.ext.dist.area.sim.i.incre.gall=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                    aggreg.herb.guild$guild=="agalla"),as.character(dist.area.sim.i.decre$sitio)[14:1])
sec.ext.dist.area.sim.i.incre.miner=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                     aggreg.herb.guild$guild=="mina"),as.character(dist.area.sim.i.decre$sitio)[14:1])
sec.ext.dist.area.sim.i.incre.scinsect=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                        aggreg.herb.guild$guild=="cochinilla"),as.character(dist.area.sim.i.decre$sitio)[14:1])
sec.ext.dist.area.sim.i.incre.aphid=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                     aggreg.herb.guild$guild=="pulgon"),as.character(dist.area.sim.i.decre$sitio)[14:1])

#Secondary extintions for herbivore guilds (decreasing connectivity dist.sim.i)####
sec.ext.dist.sim.i.gall=second.extinction.metanet(subset(aggreg.herb.guild,
                                                         aggreg.herb.guild$guild=="agalla"),as.character(dist.sim.i.decre$sitio))
sec.ext.dist.sim.i.miner=second.extinction.metanet(subset(aggreg.herb.guild,
                                                          aggreg.herb.guild$guild=="mina"),as.character(dist.sim.i.decre$sitio))
sec.ext.dist.sim.i.scinsect=second.extinction.metanet(subset(aggreg.herb.guild,
                                                             aggreg.herb.guild$guild=="cochinilla"),as.character(dist.sim.i.decre$sitio))
sec.ext.dist.sim.i.aphid=second.extinction.metanet(subset(aggreg.herb.guild,
                                                          aggreg.herb.guild$guild=="pulgon"),as.character(dist.sim.i.decre$sitio))

#Secondary extintions for herbivore guilds (increasing connectivity dist.sim.i)####
sec.ext.dist.sim.i.incre.gall=second.extinction.metanet(subset(aggreg.herb.guild,
                                                               aggreg.herb.guild$guild=="agalla"),as.character(dist.sim.i.decre$sitio)[14:1])
sec.ext.dist.sim.i.incre.miner=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                aggreg.herb.guild$guild=="mina"),as.character(dist.sim.i.decre$sitio)[14:1])
sec.ext.dist.sim.i.incre.scinsect=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                   aggreg.herb.guild$guild=="cochinilla"),as.character(dist.sim.i.decre$sitio)[14:1])
sec.ext.dist.sim.i.incre.aphid=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                aggreg.herb.guild$guild=="pulgon"),as.character(dist.sim.i.decre$sitio)[14:1])

#Secondary extintions for herbivore guilds (decreasing connectivity sim.area.i)####
sec.ext.sim.area.i.gall=second.extinction.metanet(subset(aggreg.herb.guild,
                                                         aggreg.herb.guild$guild=="agalla"),as.character(sim.area.i.decre$sitio))
sec.ext.sim.area.i.miner=second.extinction.metanet(subset(aggreg.herb.guild,
                                                          aggreg.herb.guild$guild=="mina"),as.character(sim.area.i.decre$sitio))
sec.ext.sim.area.i.scinsect=second.extinction.metanet(subset(aggreg.herb.guild,
                                                             aggreg.herb.guild$guild=="cochinilla"),as.character(sim.area.i.decre$sitio))
sec.ext.sim.area.i.aphid=second.extinction.metanet(subset(aggreg.herb.guild,
                                                          aggreg.herb.guild$guild=="pulgon"),as.character(sim.area.i.decre$sitio))

#Secondary extintions for herbivore guilds (increasing connectivity sim.area.i)####
sec.ext.sim.area.i.incre.gall=second.extinction.metanet(subset(aggreg.herb.guild,
                                                               aggreg.herb.guild$guild=="agalla"),as.character(sim.area.i.decre$sitio)[14:1])
sec.ext.sim.area.i.incre.miner=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                aggreg.herb.guild$guild=="mina"),as.character(sim.area.i.decre$sitio)[14:1])
sec.ext.sim.area.i.incre.scinsect=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                   aggreg.herb.guild$guild=="cochinilla"),as.character(sim.area.i.decre$sitio)[14:1])
sec.ext.sim.area.i.incre.aphid=second.extinction.metanet(subset(aggreg.herb.guild,
                                                                aggreg.herb.guild$guild=="pulgon"),as.character(sim.area.i.decre$sitio)[14:1])


#Secondary extintions for herbivore guilds (decreasing connectivity sim.i)####
sec.ext.sim.i.gall=second.extinction.metanet(subset(aggreg.herb.guild,
                                                    aggreg.herb.guild$guild=="agalla"),as.character(sim.i.decre$sitio))
sec.ext.sim.i.miner=second.extinction.metanet(subset(aggreg.herb.guild,
                                                     aggreg.herb.guild$guild=="mina"),as.character(sim.i.decre$sitio))
sec.ext.sim.i.scinsect=second.extinction.metanet(subset(aggreg.herb.guild,
                                                        aggreg.herb.guild$guild=="cochinilla"),as.character(sim.i.decre$sitio))
sec.ext.sim.i.aphid=second.extinction.metanet(subset(aggreg.herb.guild,
                                                     aggreg.herb.guild$guild=="pulgon"),as.character(sim.i.decre$sitio))

#Secondary extintions for herbivore guilds (increasing connectivity sim.i)####
sec.ext.sim.i.incre.gall=second.extinction.metanet(subset(aggreg.herb.guild,
                                                          aggreg.herb.guild$guild=="agalla"),as.character(sim.i.decre$sitio)[14:1])
sec.ext.sim.i.incre.miner=second.extinction.metanet(subset(aggreg.herb.guild,
                                                           aggreg.herb.guild$guild=="mina"),as.character(sim.i.decre$sitio)[14:1])
sec.ext.sim.i.incre.scinsect=second.extinction.metanet(subset(aggreg.herb.guild,
                                                              aggreg.herb.guild$guild=="cochinilla"),as.character(sim.i.decre$sitio)[14:1])
sec.ext.sim.i.incre.aphid=second.extinction.metanet(subset(aggreg.herb.guild,
                                                           aggreg.herb.guild$guild=="pulgon"),as.character(sim.i.decre$sitio)[14:1])

# Robustness for herbivore guilds (dist.i)#####
rob.met.dist.i.gall=robustness.metanet(sec.ext.dist.i.gall)$robustness
rob.met.dist.i.miner=robustness.metanet(sec.ext.dist.i.miner)$robustness
rob.met.dist.i.scinsect=robustness.metanet(sec.ext.dist.i.scinsect)$robustness
rob.met.dist.i.aphid=robustness.metanet(sec.ext.dist.i.aphid)$robustness

rob.met.dist.i.incre.gall=robustness.metanet(sec.ext.dist.i.incre.gall)$robustness
rob.met.dist.i.incre.miner=robustness.metanet(sec.ext.dist.i.incre.miner)$robustness
rob.met.dist.i.incre.scinsect=robustness.metanet(sec.ext.dist.i.incre.scinsect)$robustness
rob.met.dist.i.incre.aphid=robustness.metanet(sec.ext.dist.i.incre.aphid)$robustness

#Robustness for herbivore guilds (dist.area.i)####
rob.met.dist.area.i.gall=robustness.metanet(sec.ext.dist.area.i.gall)$robustness
rob.met.dist.area.i.miner=robustness.metanet(sec.ext.dist.area.i.miner)$robustness
rob.met.dist.area.i.scinsect=robustness.metanet(sec.ext.dist.area.i.scinsect)$robustness
rob.met.dist.area.i.aphid=robustness.metanet(sec.ext.dist.area.i.aphid)$robustness

rob.met.dist.area.i.incre.gall=robustness.metanet(sec.ext.dist.area.i.incre.gall)$robustness
rob.met.dist.area.i.incre.miner=robustness.metanet(sec.ext.dist.area.i.incre.miner)$robustness
rob.met.dist.area.i.incre.scinsect=robustness.metanet(sec.ext.dist.area.i.incre.scinsect)$robustness
rob.met.dist.area.i.incre.aphid=robustness.metanet(sec.ext.dist.area.i.incre.aphid)$robustness

#Robustness for herbivore guilds (dist.area.sim.i)####
rob.met.dist.area.sim.i.gall=robustness.metanet(sec.ext.dist.area.sim.i.gall)$robustness
rob.met.dist.area.sim.i.miner=robustness.metanet(sec.ext.dist.area.sim.i.miner)$robustness
rob.met.dist.area.sim.i.scinsect=robustness.metanet(sec.ext.dist.area.sim.i.scinsect)$robustness
rob.met.dist.area.sim.i.aphid=robustness.metanet(sec.ext.dist.area.sim.i.aphid)$robustness

rob.met.dist.area.sim.i.incre.gall=robustness.metanet(sec.ext.dist.area.sim.i.incre.gall)$robustness
rob.met.dist.area.sim.i.incre.miner=robustness.metanet(sec.ext.dist.area.sim.i.incre.miner)$robustness
rob.met.dist.area.sim.i.incre.scinsect=robustness.metanet(sec.ext.dist.area.sim.i.incre.scinsect)$robustness
rob.met.dist.area.sim.i.incre.aphid=robustness.metanet(sec.ext.dist.area.sim.i.incre.aphid)$robustness

#Robustness for herbivore guilds (dist.sim.i)####
rob.met.dist.sim.i.gall=robustness.metanet(sec.ext.dist.sim.i.gall)$robustness
rob.met.dist.sim.i.miner=robustness.metanet(sec.ext.dist.sim.i.miner)$robustness
rob.met.dist.sim.i.scinsect=robustness.metanet(sec.ext.dist.sim.i.scinsect)$robustness
rob.met.dist.sim.i.aphid=robustness.metanet(sec.ext.dist.sim.i.aphid)$robustness

rob.met.dist.sim.i.incre.gall=robustness.metanet(sec.ext.dist.sim.i.incre.gall)$robustness
rob.met.dist.sim.i.incre.miner=robustness.metanet(sec.ext.dist.sim.i.incre.miner)$robustness
rob.met.dist.sim.i.incre.scinsect=robustness.metanet(sec.ext.dist.sim.i.incre.scinsect)$robustness
rob.met.dist.sim.i.incre.aphid=robustness.metanet(sec.ext.dist.sim.i.incre.aphid)$robustness

#Robustness for herbivore guilds (sim.area.i)####
rob.met.sim.area.i.gall=robustness.metanet(sec.ext.sim.area.i.gall)$robustness
rob.met.sim.area.i.miner=robustness.metanet(sec.ext.sim.area.i.miner)$robustness
rob.met.sim.area.i.scinsect=robustness.metanet(sec.ext.sim.area.i.scinsect)$robustness
rob.met.sim.area.i.aphid=robustness.metanet(sec.ext.sim.area.i.aphid)$robustness

rob.met.sim.area.i.incre.gall=robustness.metanet(sec.ext.sim.area.i.incre.gall)$robustness
rob.met.sim.area.i.incre.miner=robustness.metanet(sec.ext.sim.area.i.incre.miner)$robustness
rob.met.sim.area.i.incre.scinsect=robustness.metanet(sec.ext.sim.area.i.incre.scinsect)$robustness
rob.met.sim.area.i.incre.aphid=robustness.metanet(sec.ext.sim.area.i.incre.aphid)$robustness

#Robustness for herbivore guilds (sim.i)####
rob.met.sim.i.gall=robustness.metanet(sec.ext.sim.i.gall)$robustness
rob.met.sim.i.miner=robustness.metanet(sec.ext.sim.i.miner)$robustness
rob.met.sim.i.scinsect=robustness.metanet(sec.ext.sim.i.scinsect)$robustness
rob.met.sim.i.aphid=robustness.metanet(sec.ext.sim.i.aphid)$robustness

rob.met.sim.i.incre.gall=robustness.metanet(sec.ext.sim.i.incre.gall)$robustness
rob.met.sim.i.incre.miner=robustness.metanet(sec.ext.sim.i.incre.miner)$robustness
rob.met.sim.i.incre.scinsect=robustness.metanet(sec.ext.sim.i.incre.scinsect)$robustness
rob.met.sim.i.incre.aphid=robustness.metanet(sec.ext.sim.i.incre.aphid)$robustness

# Secondary extintions for parasitoids (decreasing conncetivity)####
sec.ext.dist.i.paras=second.extinction.metanet(aggreg.paras,as.character(dist.i.decre$sitio))
sec.ext.dist.area.i.paras=second.extinction.metanet(aggreg.paras,as.character(dist.area.i.decre$sitio))
sec.ext.dist.area.sim.i.paras=second.extinction.metanet(aggreg.paras,as.character(dist.area.sim.i.decre$sitio))
sec.ext.dist.sim.i.paras=second.extinction.metanet(aggreg.paras,as.character(dist.sim.i.decre$sitio))
sec.ext.sim.area.i.paras=second.extinction.metanet(aggreg.paras,as.character(sim.area.i.decre$sitio))
sec.ext.sim.i.paras=second.extinction.metanet(aggreg.paras,as.character(sim.i.decre$sitio))

#Secondary extintions for parasitoids (increasing connectivity)####
sec.ext.dist.i.incre.paras=second.extinction.metanet(aggreg.paras,as.character(dist.i.decre$sitio)[14:1])
sec.ext.dist.area.i.incre.paras=second.extinction.metanet(aggreg.paras,as.character(dist.area.i.decre$sitio)[14:1])
sec.ext.dist.area.sim.i.incre.paras=second.extinction.metanet(aggreg.paras,as.character(dist.area.sim.i.decre$sitio)[14:1])
sec.ext.dist.sim.i.incre.paras=second.extinction.metanet(aggreg.paras,as.character(dist.sim.i.decre$sitio)[14:1])
sec.ext.sim.area.i.incre.paras=second.extinction.metanet(aggreg.paras,as.character(sim.area.i.decre$sitio)[14:1])
sec.ext.sim.i.incre.paras=second.extinction.metanet(aggreg.paras,as.character(sim.i.decre$sitio)[14:1])

# Robustness for parasitoids (decreasing connectivity) #####
rob.met.dist.i.paras=robustness.metanet(sec.ext.dist.i.paras)$robustness
rob.met.dist.area.i.paras=robustness.metanet(sec.ext.dist.area.i.paras)$robustness
rob.met.dist.area.sim.i.paras=robustness.metanet(sec.ext.dist.area.sim.i.paras)$robustness
rob.met.dist.sim.i.paras=robustness.metanet(sec.ext.dist.sim.i.paras)$robustness
rob.met.sim.area.i.paras=robustness.metanet(sec.ext.sim.area.i.paras)$robustness
rob.met.sim.i.paras=robustness.metanet(sec.ext.sim.i.paras)$robustness

#Robustness for parasitoids (increasing connectivity) ####
rob.met.dist.i.incre.paras=robustness.metanet(sec.ext.dist.i.incre.paras)$robustness
rob.met.dist.area.i.incre.paras=robustness.metanet(sec.ext.dist.area.i.incre.paras)$robustness
rob.met.dist.area.sim.i.incre.paras=robustness.metanet(sec.ext.dist.area.sim.i.incre.paras)$robustness
rob.met.dist.sim.i.incre.paras=robustness.metanet(sec.ext.dist.sim.i.incre.paras)$robustness
rob.met.sim.area.i.incre.paras=robustness.metanet(sec.ext.sim.area.i.incre.paras)$robustness
rob.met.sim.i.incre.paras=robustness.metanet(sec.ext.sim.i.incre.paras)$robustness

# Secondary extintions for predators (decreasing connectivity)####
sec.ext.dist.i.enemy=second.extinction.metanet(aggreg.enemy,as.character(dist.i.decre$sitio))
sec.ext.dist.area.i.enemy=second.extinction.metanet(aggreg.enemy,as.character(dist.area.i.decre$sitio))
sec.ext.dist.area.sim.i.enemy=second.extinction.metanet(aggreg.enemy,as.character(dist.area.sim.i.decre$sitio))
sec.ext.dist.sim.i.enemy=second.extinction.metanet(aggreg.enemy,as.character(dist.sim.i.decre$sitio))
sec.ext.sim.area.i.enemy=second.extinction.metanet(aggreg.enemy,as.character(sim.area.i.decre$sitio))
sec.ext.sim.i.enemy=second.extinction.metanet(aggreg.enemy,as.character(sim.i.decre$sitio))

#Secondary extintions for predators (increasing connectvity)####
sec.ext.dist.i.incre.enemy=second.extinction.metanet(aggreg.enemy,as.character(dist.i.decre$sitio)[14:1])
sec.ext.dist.area.i.incre.enemy=second.extinction.metanet(aggreg.enemy,as.character(dist.area.i.decre$sitio)[14:1])
sec.ext.dist.area.sim.i.incre.enemy=second.extinction.metanet(aggreg.enemy,as.character(dist.area.sim.i.decre$sitio)[14:1])
sec.ext.dist.sim.i.incre.enemy=second.extinction.metanet(aggreg.enemy,as.character(dist.sim.i.decre$sitio)[14:1])
sec.ext.sim.area.i.incre.enemy=second.extinction.metanet(aggreg.enemy,as.character(sim.area.i.decre$sitio)[14:1])
sec.ext.sim.i.incre.enemy=second.extinction.metanet(aggreg.enemy,as.character(sim.i.decre$sitio)[14:1])

# Robustness for predators (decreasing connectivity) #####
rob.met.dist.i.enemy=robustness.metanet(sec.ext.dist.i.enemy)$robustness
rob.met.dist.area.i.enemy=robustness.metanet(sec.ext.dist.area.i.enemy)$robustness
rob.met.dist.area.sim.i.enemy=robustness.metanet(sec.ext.dist.area.sim.i.enemy)$robustness
rob.met.dist.sim.i.enemy=robustness.metanet(sec.ext.dist.sim.i.enemy)$robustness
rob.met.sim.area.i.enemy=robustness.metanet(sec.ext.sim.area.i.enemy)$robustness
rob.met.sim.i.enemy=robustness.metanet(sec.ext.sim.i.enemy)$robustness

# Robustness for predators (increasing connectivity)####
rob.met.dist.i.incre.enemy=robustness.metanet(sec.ext.dist.i.incre.enemy)$robustness
rob.met.dist.area.i.incre.enemy=robustness.metanet(sec.ext.dist.area.i.incre.enemy)$robustness
rob.met.dist.area.sim.i.incre.enemy=robustness.metanet(sec.ext.dist.area.sim.i.incre.enemy)$robustness
rob.met.dist.sim.i.incre.enemy=robustness.metanet(sec.ext.dist.sim.i.incre.enemy)$robustness
rob.met.sim.area.i.incre.enemy=robustness.metanet(sec.ext.sim.area.i.incre.enemy)$robustness
rob.met.sim.i.incre.enemy=robustness.metanet(sec.ext.sim.i.incre.enemy)$robustness
